<?php
$ftp_server = "ftp.cluster028.hosting.ovh.net";
$ftp_username = "xqrzrdp-pagen";
$ftp_userpass = 'r2TyUqWeAsDfGh';
$ftp_conn = ftp_connect($ftp_server) or die("Nie można połączyć się z serwerem FTP");
$login = ftp_login($ftp_conn, $ftp_username, $ftp_userpass);
if (!$login) {
    die("Błąd logowania do serwera FTP");
} else {
    $contents = ftp_nlist($ftp_conn, ".");
    $downloaded_folder = 'pobrane';

    // Sprawdź czy folder istnieje na serwerze FTP, jeśli nie to go stwórz
    if (!in_array($downloaded_folder, ftp_nlist($ftp_conn, "."))) {
        ftp_mkdir($ftp_conn, $downloaded_folder);
    }

    foreach ($contents as $file) {
        $timestamp = ftp_mdtm($ftp_conn, $file);
        if ($timestamp != -1 && $file != '.' && $file != '..') {
            // if (date("Y-m-d", strtotime('+1 hour', $timestamp)) >= date('Y-m-d') ) {
                $local_file = $file;

                if (ftp_get($ftp_conn, $local_file, $local_file, FTP_BINARY)) {
                    echo "Pobrano plik " . $local_file . " z serwera FTP<br>";
                    $content = file_get_contents($local_file);
                    $content = str_replace(';00', ';+', $content);
                    $content = str_replace(';', ',', $content);
                    file_put_contents($local_file, $content);

                    if (!ftp_rename($ftp_conn, $file, $downloaded_folder . '/' . $file)) {
                      echo "Błąd podczas przenoszenia pliku " . $file . " do folderu 'pobrane'<br>";
                    } else {
                        echo "Przeniesiono plik " . $file . " do folderu 'pobrane'<br>";
                    }
                } else {
                    echo "Błąd podczas pobierania pliku " . $local_file . " z serwera FTP<br>";
                }
            // }
        }
    }
}
ftp_close($ftp_conn);

$ftp_server = "ftp.cluster028.hosting.ovh.net";
$ftp_username = "xqrzrdp-pagenmodifie";
$ftp_userpass = 'hGb1VcFnMqWoPeR';
$ftp_conn = ftp_connect( $ftp_server ) or die("Nie można połączyć się z serwerem FTP");
$login = ftp_login( $ftp_conn, $ftp_username, $ftp_userpass );
if ( !$login )
{
  die("Błąd logowania do serwera FTP");
}
else
{
  $files = scandir( '.' );
  foreach ( $files as $file )
  {
    // pomijanie folderów . i ..
    if ( $file == "." || $file == ".." || $file == 'ftp.php' )
      continue;

    if ( ftp_put( $ftp_conn, $file, $file, FTP_BINARY ) ) {
      echo "Wysłano plik " . $file . " na serwer FTP<br>";
    } else {
      echo "Błąd podczas wysyłania pliku " . $file . " na serwer FTP<br>";
    }
    unlink( $file );
  }
}
ftp_close($ftp_conn);